Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Map_Reverse_Iterator Class Template Reference

Reverse Iterator for the . More...

`#include <Map_Manager.h>`

Inheritance diagram for ACE_Map_Reverse_Iterator

[legend]
Collaboration diagram for ACE_Map_Reverse_Iterator:

[legend]
List of all members.

## Public Methods
| ACE_Map_Reverse_Iterator (ACE_Map_Manager <EXT_ID, INT_ID, ACE_LOCK> &mm, int pass_end = 0)
int | advance (void)
| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.
void | dump (void) const
| Dump the state of an object.
ACE_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK>& | operator++ (void)
| Prefix reverse.
ACE_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK> | operator++ (int)
| Postfix reverse.
ACE_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK>& | operator-- (void)
| Prefix advance.
ACE_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK> | operator-- (int)
| Postfix advance.
## Public Attributes
| ACE_ALLOC_HOOK_DECLARE
| Declare the dynamic allocation hooks.

## Detailed Description

### template<class EXT_ID, class INT_ID, class ACE_LOCK> template class ACE_Map_Reverse_Iterator

Reverse Iterator for the .

This class does not perform any internal locking of the it is iterating upon since locking is inherently inefficient and/or error-prone within an STL-style iterator. If you require locking, you can explicitly use an or on the 's internal lock, which is accessible via its <mutex> method.

## Constructor & Destructor Documentation

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_INLINE ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::ACE_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK> ( | ACE_Map_Manager< EXT_ID,INT_ID,ACE_LOCK >& mm,
| int pass_end = 0 )

## Member Function Documentation

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_INLINE int ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::advance ( | void )

| Move forward by one element in the set. Returns 0 when all the items in the set have been seen, else 1.

template<classEXT_ID, classINT_ID, classACE_LOCK>
void ACE_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK>::dump ( | void ) const

| Dump the state of an object.

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_INLINE ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK > ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::operator++ ( | int )

| Postfix reverse.

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_INLINE ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >& ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::operator++ ( | void )

| Prefix reverse.

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_INLINE ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK > ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::operator-- ( | int )

| Postfix advance.

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_INLINE ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >& ACE_Map_Reverse_Iterator< EXT_ID,INT_ID,ACE_LOCK >::operator-- ( | void )

| Prefix advance.

## Member Data Documentation

template<classEXT_ID, classINT_ID, classACE_LOCK>
ACE_Map_Reverse_Iterator<EXT_ID, INT_ID, ACE_LOCK>::ACE_ALLOC_HOOK_DECLARE

| Declare the dynamic allocation hooks. Reimplemented from ACE_Map_Iterator_Base.

The documentation for this class was generated from the following files:

- Map_Manager.h
- Map_Manager.cpp
- Map_Manager.i